Apache::TestReport(3)

NAME
Apache::TestReport - A parent class for generating bug/success reports

Synopsis
  use Apache::TestReport;
  Apache::TestReport->new(@ARGV)->run;

Description
This class is used to generate a bug or a success report, providing information about the system the code was running on.

Overridable Methods

  config
return the information about user's system

  report_to
return a string containing the email address the report should be sent to

  postit_note
return a string to close the report with, e.g.:

      my($to, $where) = split '@', $self->report_to;
      return <<EOF;
  Note: Complete the rest of the details and post this bug report to
  $to <at> $where. To subscribe to the list send an empty
  email to $to-subscribe\@$where.